<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="ShapeMatcher"
	ProjectGUID="{D9F0A38F-AFCD-4533-A2EB-D6074CD11835}"
	RootNamespace="ShapeMatcher"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)..\..\ShapeMatcherBuilds\$(ProjectName)"
			IntermediateDirectory="$(OutDir)\$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				UseUnicodeResponseFiles="false"
				Optimization="0"
				AdditionalIncludeDirectories="&quot;$(SolutionDir)\..&quot;;&quot;$(SolutionDir)\..\glut-3.7.6-bin&quot;;&quot;$(SolutionDir)\..\dagmatcher&quot;;&quot;$(SolutionDir)\..\FluxSkeleton\include&quot;;&quot;$(SolutionDir)\..\AFMMSkeleton\include&quot;;&quot;$(SolutionDir)\..\ann_1.1\include&quot;;&quot;$(SolutionDir)\..\Newmat&quot;;&quot;$(SolutionDir)\..\HnSRTree-2.0beta5a\include&quot;;&quot;C:\Algorithmic Solutions\LEDA-6.1-win32-msc9-std\incl&quot;;&quot;C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\Include&quot;"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;D_CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES;LEDA_DLL;WIN32_LEAN_AND_MEAN;_HNSRTIMP= "
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				UseUnicodeResponseFiles="false"
				AdditionalOptions="/FORCE:MULTIPLE"
				AdditionalDependencies="DAGMatch.lib HnSRTree.lib AFMMSkel.lib FluxSkel.lib ANN.lib newmat.lib glut32.lib leda_mdd.lib"
				OutputFile="$(OutDir)\sm_dbg.exe"
				LinkIncremental="2"
				AdditionalLibraryDirectories="&quot;$(OutDir)\..\DAGMatcherLib&quot;;&quot;$(SolutionDir)\..\FluxSkeleton\lib&quot;;&quot;$(SolutionDir)\..\AFMMSkeleton&quot;;&quot;$(SolutionDir)\..\Newmat&quot;;&quot;$(SolutionDir)\..\ann_1.1\lib&quot;;&quot;$(SolutionDir)\..\HnSRTree-2.0beta5a\lib&quot;;&quot;$(SolutionDir)\..\glut-3.7.6-bin&quot;;&quot;C:\Algorithmic Solutions\LEDA-6.1-win32-msc9-std&quot;;&quot;C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\Lib&quot;"
				GenerateDebugInformation="true"
				SubSystem="1"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine=""
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)..\..\ShapeMatcherBuilds\$(ProjectName)"
			IntermediateDirectory="$(OutDir)\$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="&quot;$(SolutionDir)\..&quot;;&quot;$(SolutionDir)\..\glut-3.7.6-bin&quot;;&quot;$(SolutionDir)\..\dagmatcher&quot;;&quot;$(SolutionDir)\..\FluxSkeleton\include&quot;;&quot;$(SolutionDir)\..\AFMMSkeleton\include&quot;;&quot;$(SolutionDir)\..\ann_1.1\include&quot;;&quot;$(SolutionDir)\..\Newmat&quot;;&quot;$(SolutionDir)\..\HnSRTree-2.0beta5a\include&quot;;&quot;C:\Algorithmic Solutions\LEDA-6.1-win32-msc9-std\incl&quot;;&quot;C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\Include&quot;"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;LEDA_DLL;WIN32_LEAN_AND_MEAN;_HNSRTIMP= "
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				UseUnicodeResponseFiles="false"
				AdditionalOptions="/FORCE:MULTIPLE"
				AdditionalDependencies="DAGMatch.lib HnSRTree.lib AFMMSkel.lib FluxSkel.lib ANN.lib newmat.lib glut32.lib leda_md.lib"
				OutputFile="$(OutDir)\sm_rel.exe"
				LinkIncremental="1"
				AdditionalLibraryDirectories="&quot;$(OutDir)\..\DAGMatcherLib&quot;;&quot;$(SolutionDir)\..\FluxSkeleton\lib&quot;;&quot;$(SolutionDir)\..\AFMMSkeleton&quot;;&quot;$(SolutionDir)\..\Newmat&quot;;&quot;$(SolutionDir)\..\ann_1.1\lib&quot;;&quot;$(SolutionDir)\..\HnSRTree-2.0beta5a\lib&quot;;&quot;$(SolutionDir)\..\glut-3.7.6-bin&quot;;&quot;C:\Algorithmic Solutions\LEDA-6.1-win32-msc9-std&quot;;&quot;C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\Lib&quot;"
				GenerateDebugInformation="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\..\ShapeMatcher\CmdLineOptions.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\CmdLineParser.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\DAGMemoryDBSet.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\getopt.c"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\getopt1.c"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ImgPreprocess.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\Matching.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\MatchingResults.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ShapeMatcher.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\Stats.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ViewClustering.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\viewpoints.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ViewSubsampler.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"
					/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\..\ShapeMatcher\CmdLineParser.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\DAGMemoryDBSet.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\DAGSimilarityMemory.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\getopt.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ImgPreprocess.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\InfoStructures.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\Matching.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\MatchingResults.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ShapeMatcher.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\Stats.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ViewClustering.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\viewpoints.h"
				>
			</File>
			<File
				RelativePath="..\..\ShapeMatcher\ViewSubsampler.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath="..\..\..\..\..\..\..\ShapeMatcher\params.txt"
				>
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true"
					>
					<Tool
						Name="VCCustomBuildTool"
					/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
